
# React-Native Pingpp

如果你正巧在使用 React-Native 以及 Ping++ 的服务，那就不要吝啬地使用以下命令来享用我吧：

```sh
$ npm install react-native-pingpp --save
```

不过还是请小主访问如下上游的链接来学习相关的文档：

- iOS: [PingPlusPlus/pingpp-ios](https://github.com/PingPlusPlus/pingpp-ios)
- Android: [PingPlusPlus/pingpp-android](https://github.com/PingPlusPlus/pingpp-android)

## 如何让奴家工作在iOS端？

1. 首先呢，你需要先去 [PingPlusPlus/pingpp-ios#手动导入](https://github.com/PingPlusPlus/pingpp-ios#手动导入) 阅读一下上游库的预备步骤

2. 设置完 Library Links 后呢，可以在 ObjC 里面的 AppDelegate.m 中添加如下代码：

    ```
    // for iOS 8
    - (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation {
      return [Pingpp handleOpenURL:url withCompletion:nil];
    }

    // for iOS 9
    - (BOOL)application:(UIApplication *)app openURL:(NSURL *)url options:(NSDictionary *)options {
      return [Pingpp handleOpenURL:url withCompletion:nil];
    }
    ```

3. 下面开始享用

    ```js
    const { createPayment } = require('react-native-pingpp');

    // 小主需要先使用 Ping++ 的服务生成对应的 charge 对象哦
    var result = await createPayment(charge, schema);
    // 好啦，这里你应该可以看到App跳转到对应的支付应用或网页中去，并且得到了对应的返回值
    ```

## 来问我吧

一、为什么没有看到 libWechat.a 这个静态库呢

> 嗯，因为 react-native 使用静态编译来构建程序，所以当你其他库中也使用过 libWechat.a 的话，就会得到重复链接的错误，所以这里需要各位小主自个儿链接或者也可使用奴家为您提供的另一份 React-Native 库：[react-native-wechat](https://github.com/weflex/react-native-wechat)。

二、为何不做 Android 版

> 呵呵哒，因为奴家没空啦，要是小主有时间可以提 PR 哟 :p

## License

GPLv2 @ WeFlex, Inc.
